<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/



namespace admin_application\link;

class OrderLink {

	public static function Order_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'OrderMain/listOrder';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'OrderMain/listOrder';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'OrderMain/addOrder';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'OrderMain/editOrder';
		$action_key_edit['oid'] = $array['oid'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key_edit['act'] = 'OrderMain/viewOrder';
		$link_array['view'] = linkOut($action_key_edit);
		$action_key_edit['act'] = 'OrderMain/printOrder';
		$link_array['print'] = linkOut($action_key_edit);
		$action_key_edit['act'] = 'OrderMain/printOrder';
		$action_key_edit['type'] = 'ship';
		$link_array['print_ship'] = linkOut($action_key_edit);

		$action_key['act'] = 'OrderMain/saveOrder';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'OrderMain/delOrder';
		$link_array['del'] = linkOut($action_key);

		$action_key['act'] = 'OrderMain/setOrder';
		$link_array['set'] = linkOut($action_key);

		$action_key['act'] = 'OrderMain/argOrder';
		$link_array['arg'] = linkOut($action_key);

		$action_key['act'] = 'OrderMain/argSaveOrder';
		$link_array['argsave'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function OrderFinance_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'OrderFinance/listOrderFinance';
		$action_key['oid'] = $array['oid'];
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'OrderFinance/listOrderFinance';
		$action_key_list['oid'] = $array['oid'];
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'OrderFinance/addOrderFinance';
		$action_key['oid'] = $array['oid'];
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'OrderFinance/editOrderFinance';
		$action_key_edit['oid'] = $array['oid'];
		$action_key_edit['oprid'] = $array['oprid'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key_edit['act'] = 'OrderFinance/viewOrderFinance';
		$action_key_edit['oid'] = $array['oid'];
		$action_key_edit['opid'] = $array['opid'];
		$link_array['view'] = linkOut($action_key_edit);

		$action_key['act'] = 'OrderFinance/saveOrderFinance';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'OrderFinance/delOrderFinance';
		$link_array['del'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function OrderExpress_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'OrderExpress/listOrderExpress';
		$action_key['oid'] = $array['oid'];
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'OrderExpress/listOrderExpress';
		$action_key['oid'] = $array['oid'];
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'OrderExpress/addOrderExpress';
		$action_key['oid'] = $array['oid'];
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'OrderExpress/editOrderExpress';
		$action_key_edit['oid'] = $array['oid'];
		$action_key_edit['osrid'] = $array['osrid'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key_edit['act'] = 'OrderExpress/viewOrderExpress';
		$action_key_edit['oid'] = $array['oid'];
		$action_key_edit['osrid'] = $array['osrid'];
		$link_array['view'] = linkOut($action_key_edit);

		$action_key['act'] = 'OrderExpress/saveOrderExpress';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'OrderExpress/delOrderExpress';
		$link_array['del'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function Pay_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'OrderPay/listOrderPay';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'OrderPay/listOrderPay';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'OrderPay/addOrderPay';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'OrderPay/editOrderPay';
		$action_key_edit['opid'] = $array['opid'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key['act'] = 'OrderPay/saveOrderPay';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'OrderPay/setOrderPay';
		$link_array['set'] = linkOut($action_key);

		$action_key['act'] = 'OrderPay/delOrderPay';
		$link_array['del'] = linkOut($action_key);

		$action_key['act'] = 'OrderPay/sortOrderPay';
		$link_array['sort'] = linkOut($action_key);

		$action_key['act'] = 'OrderPay/ajaxOrderPay';
		$link_array['ajax_read'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function Express_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'Express/listExpress';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'Express/listExpress';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'Express/addExpress';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'Express/editExpress';
		$action_key_edit['osid'] = $array['osid'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key['act'] = 'Express/saveExpress';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'Express/setExpress';
		$link_array['set'] = linkOut($action_key);

		$action_key['act'] = 'Express/sortExpress';
		$link_array['sort'] = linkOut($action_key);

		$action_key['act'] = 'Express/delExpress';
		$link_array['del'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

}
